Skip to main content
GET
/
parties
/
{partyId}
Get specific party
curl --request GET \
  --url https://api.example.com/parties/{partyId}
{
  "id": "019bdb2a-960f-789d-8955-21720e6cdeed",
  "type": "INDIVIDUAL",
  "originPartyId": "1f770bac-670a-40fc-9deb-0a691034495a",
  "createdAt": "2026-01-22T13:47:21.542163Z",
  "updatedAt": "2026-01-22T13:47:21.542163Z",
  "firstName": "John",
  "lastName": "Doe",
  "dateOfBirth": "1990-01-15",
  "nationality": "LT",
  "taxIdentifications": [
    {
      "tin": "12345678901",
      "country": "LT"
    }
  ],
  "documents": [
    {
      "type": "PASSPORT",
      "number": "AB1234567"
    }
  ],
  "registrationNumber": "123456789",
  "legalName": "Acme Corp",
  "country": "LT",
  "uboDetails": [
    {
      "firstName": "John",
      "lastName": "Doe",
      "taxIdentifications": [
        {
          "tin": "12345678901",
          "country": "LT"
        }
      ],
      "dateFrom": "2020-01-01",
      "documents": [
        {
          "type": "PASSPORT",
          "number": "AB1234567"
        }
      ],
      "dateOfBirth": "1990-01-15",
      "registrationAddress": {
        "townName": "Vilnius",
        "streetName": "Gedimino pr.",
        "buildingNumber": "1",
        "postCode": "01103",
        "country": "LT"
      }
    }
  ],
  "representatives": [
    {
      "firstName": "Jane",
      "lastName": "Smith",
      "taxIdentifications": [
        {
          "tin": "12345678901",
          "country": "LT"
        }
      ],
      "dateFrom": "2020-01-01",
      "documents": [
        {
          "type": "PASSPORT",
          "number": "AB1234567"
        }
      ],
      "dateOfBirth": "1990-01-15",
      "registrationAddress": {
        "townName": "Vilnius",
        "streetName": "Gedimino pr.",
        "buildingNumber": "1",
        "postCode": "01103",
        "country": "LT"
      }
    }
  ],
  "registrationAddress": {
    "townName": "Vilnius",
    "streetName": "Gedimino pr.",
    "buildingNumber": "1",
    "postCode": "01103",
    "country": "LT"
  }
}

Path Parameters

partyId
string<uuid>
required

Party ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}

Response

Party details

Party details

id
string<uuid>
required

Party ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdeed"

type
enum<string>
required

Party type

Available options:
INDIVIDUAL,
ORGANISATION
originPartyId
string
required

Origin party identifier

Example:

"1f770bac-670a-40fc-9deb-0a691034495a"

createdAt
string<date-time>
required

Party creation timestamp

Example:

"2026-01-22T13:47:21.542163Z"

updatedAt
string<date-time>
required

Party last update timestamp

Example:

"2026-01-22T13:47:21.542163Z"

firstName
string | null

First name (individual)

Example:

"John"

lastName
string | null

Last name (individual)

Example:

"Doe"

dateOfBirth
string<date> | null

Date of birth (individual)

Example:

"1990-01-15"

nationality
string | null

Nationality (individual)

Example:

"LT"

taxIdentifications
object[] | null

Tax identifications (individual)

documents
object[] | null

Identification documents (individual)

registrationNumber
string | null

Registration number (organisation)

Example:

"123456789"

Legal name (organisation)

Example:

"Acme Corp"

country
string | null

Country (organisation)

Example:

"LT"

uboDetails
object[] | null

UBO details (organisation)

representatives
object[] | null

Representatives (organisation)

registrationAddress
object

Registration address